#
# spec file for package tclx
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tclx
Version:        8.6.2
Release:        1.7
Summary:        TclX - Extended Tcl
License:        BSD-3-Clause AND SUSE-Permissive
URL:            http://tclx.sourceforge.net/
Group:          Development/Languages/Tcl
Source0:        https://github.com/flightaware/tclx/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  tcl-devel

%description
Extended Tcl is a superset of standard Tcl. Extended Tcl has three
basic functional areas: A set of new commands, a Tcl shell (a Unix
shell-style command line and interactive environment), and a
user-extensible library of useful Tcl procedures, any of which can be
automatically loaded on the first attempt to execute it.

In addition, a detailed help system is available for Tcl/Tk: tclhelp.

%prep
%autosetup

%build
autoreconf -fi
export CFLAGS="%optflags -fno-strict-aliasing"
%configure \
	--with-tcl=%_libdir \
	--libdir=%tcl_archdir \
	--with-help \
	--enable-threads
%make_build

%install
%make_install

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README.md
%tcl_archdir/%{name}8.6
%_mandir/mann/*
%_includedir/*

%changelog
* Tue Jul  4 2023 Andrea Manzini <andrea.manzini@suse.com>
- Update to version 8.6.2
  * filter rresvport if not present
* Tue Oct 25 2022 Reinhard Max <max@suse.com>
- Version 8.4.4 presents itself as being 8.6 internally. Adjust
  installation path, so that it can still be loaded.
* Tue May 18 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 8.4.4
  * Maintained by FlightAware
  * Remove CONST84 use for upcoming Tcl 8.7 release.
  * Adds coalesce command.
  * Don't iterate over tail calls, since tailcall can only be
    called in a proc context.
  * Ordered traversal of directories in for_recursive_glob to
    fix tests.
- Drop unused tclx.patch
* Thu Jun 20 2013 max@suse.com
- Update to 8.4.1 to fix build with Tcl 8.6.
* Fri Mar  1 2013 coolo@suse.com
- update license to new format
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 ro@suse.de
- fix typo in tcl configure script
* Tue Jul 26 2005 max@suse.de
- New CVS snapshot: tclx8.4-20050712
- Moved script library to /usr/share/tcl .
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Thu Apr 29 2004 ro@suse.de
- added -fno-strict-aliasing
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue Nov 26 2002 max@suse.de
- New CVS snapshot: tclx8.4-20021126
- Separated the TclX sources from the tcl package. For the older
  history of this package see the change log of the tcl package.
